Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023212
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-03-04 12:442013-04-03 12:50
ReportercaristuView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP21
StatusclosedFix in branchFixed in SCM revision154d74306b05
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023212: Receipts that uses customer credit are not taken into account in the cash-up process

DescriptionAfter completing a receipt using customer credit, it is not considered in the cash-up process. This causes that the customer balance can't be updated.
Steps To Reproduce1) Configure a Business Partner in the backend and assign to it a credit line limit.
2) Configure the POS Terminal Type as "Allow pay on credit"
3) Create a new a receipt in WebPOS
4) Generate the cash-up.
   - Check that the previous receipt is not being taken into account. So the customer balance won't be updated as an invoice for it has not been generated.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0057054)
hgbot (developer)
2013-03-05 17:17

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5b0187f2a0d21d429d4bec12452f36239e1ccf28
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Mar 05 17:16:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b0187f2a0d21d429d4bec12452f36239e1ccf28 [^]

Fixed issue 23212: Orders using credit taken into account when doing cash up

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0057357)
caristu (developer)
2013-03-21 12:30

Is not fixed because there are missing parenthesis
(0057383)
hgbot (developer)
2013-03-22 10:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 154d74306b056f57a278234eba2d503dbadd64ba
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Mar 22 10:41:49 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/154d74306b056f57a278234eba2d503dbadd64ba [^]

Fixed issue 23212. Added parenthesis so that the query is correct.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0057411)
hgbot (developer)
2013-03-25 12:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0750f67ba4d58ea5ca35e061481f37fc76827a67
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Mar 25 12:39:48 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0750f67ba4d58ea5ca35e061481f37fc76827a67 [^]

Related to issue 23212: Error when line without paymentSchedule(Layaways)

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0057412)
migueldejuana (developer)
2013-03-25 12:57

Tested and reviewed in 0750f67ba4d5
(0057666)
hgbot (developer)
2013-04-02 20:10

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 5b0187f2a0d21d429d4bec12452f36239e1ccf28
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Mar 05 17:16:56 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5b0187f2a0d21d429d4bec12452f36239e1ccf28 [^]

Fixed issue 23212: Orders using credit taken into account when doing cash up

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0057693)
hgbot (developer)
2013-04-02 20:13

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 154d74306b056f57a278234eba2d503dbadd64ba
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Mar 22 10:41:49 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/154d74306b056f57a278234eba2d503dbadd64ba [^]

Fixed issue 23212. Added parenthesis so that the query is correct.

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0057696)
hgbot (developer)
2013-04-02 20:13

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 0750f67ba4d58ea5ca35e061481f37fc76827a67
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Mar 25 12:39:48 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/0750f67ba4d58ea5ca35e061481f37fc76827a67 [^]

Related to issue 23212: Error when line without paymentSchedule(Layaways)

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---

- Issue History
Date Modified Username Field Change
2013-03-04 12:44 caristu New Issue
2013-03-04 12:44 caristu Assigned To => adrianromero
2013-03-04 13:25 caristu Assigned To adrianromero => migueldejuana
2013-03-04 13:49 caristu Issue Monitored: networkb
2013-03-05 17:17 hgbot Checkin
2013-03-05 17:17 hgbot Note Added: 0057054
2013-03-05 17:17 hgbot Status new => resolved
2013-03-05 17:17 hgbot Resolution open => fixed
2013-03-05 17:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b0187f2a0d21d429d4bec12452f36239e1ccf28 [^]
2013-03-21 12:30 caristu Note Added: 0057357
2013-03-21 12:30 caristu Status resolved => new
2013-03-21 12:30 caristu Resolution fixed => open
2013-03-21 13:34 migueldejuana Assigned To migueldejuana => marvintm
2013-03-22 10:42 hgbot Checkin
2013-03-22 10:42 hgbot Note Added: 0057383
2013-03-22 10:42 hgbot Status new => resolved
2013-03-22 10:42 hgbot Resolution open => fixed
2013-03-22 10:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b0187f2a0d21d429d4bec12452f36239e1ccf28 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/154d74306b056f57a278234eba2d503dbadd64ba [^]
2013-03-25 12:39 hgbot Checkin
2013-03-25 12:39 hgbot Note Added: 0057411
2013-03-25 12:57 migueldejuana Review Assigned To => migueldejuana
2013-03-25 12:57 migueldejuana Note Added: 0057412
2013-03-25 12:57 migueldejuana Status resolved => closed
2013-03-25 12:57 migueldejuana Fixed in Version => RMP21
2013-04-02 20:10 hgbot Checkin
2013-04-02 20:10 hgbot Note Added: 0057666
2013-04-02 20:10 hgbot Status closed => resolved
2013-04-02 20:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/154d74306b056f57a278234eba2d503dbadd64ba [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5b0187f2a0d21d429d4bec12452f36239e1ccf28 [^]
2013-04-02 20:13 hgbot Checkin
2013-04-02 20:13 hgbot Note Added: 0057693
2013-04-02 20:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5b0187f2a0d21d429d4bec12452f36239e1ccf28 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/154d74306b056f57a278234eba2d503dbadd64ba [^]
2013-04-02 20:13 hgbot Checkin
2013-04-02 20:13 hgbot Note Added: 0057696
2013-04-03 12:50 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker